Skip to main content
GET
/
webhooks
/
apps
/
{app_slug}
/
catalog
Get webhook app event catalog
curl --request GET \
  --url https://api.wacht.dev/webhooks/apps/{app_slug}/catalog \
  --header 'Authorization: <api-key>'
{
  "deployment_id": "9876543210987654321",
  "slug": "user-events",
  "name": "User Events",
  "description": "<string>",
  "events": [
    {
      "name": "user.created",
      "description": "<string>",
      "schema": {},
      "is_archived": false
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Path Parameters

app_name
string
required

Webhook app name

Response

Event catalog

deployment_id
string

Deployment ID

Example:

"9876543210987654321"

slug
string

Catalog slug

Example:

"user-events"

name
string

Display name

Example:

"User Events"

description
string | null

Description

events
object[]

Event definitions

created_at
string<date-time>
updated_at
string<date-time>